Bug 184924 - www/horde3-base : optionally depends on expired www/suphp
www/horde3-base : optionally depends on expired www/suphp
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: horde
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-12-17 09:40 UTC by Rene Ladan
Modified: 2014-01-17 01:20 UTC (History)
0 users

See Also:


Attachments
file.diff (672 bytes, patch)
2013-12-17 09:40 UTC, Rene Ladan
no flags Details | Diff
www__horde3-base.diff (3.25 KB, patch)
2013-12-31 12:19 UTC, Rene Ladan
no flags Details | Diff
www__horde3-base.diff.sig (639 bytes, application/octet-stream)
2013-12-31 12:19 UTC, Rene Ladan
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Rene Ladan freebsd_committer 2013-12-17 09:40:00 UTC
www/horde3-base optionally depends on www/suphp, which is expired.
Mark the port as deprecated in this case.

While here move NO_STAGE out of the below comment block.

Fix: Patch attached with submission follows:
How-To-Repeat: Tools/scripts/rmport www/suphp
Comment 1 Edwin Groothuis freebsd_committer 2013-12-17 09:40:15 UTC
Responsible Changed
From-To: freebsd-ports-bugs->horde

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Rene Ladan freebsd_committer 2013-12-31 12:19:28 UTC
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Instead of deprecating the SUPHP option, how about removing it?

- From grepping through Makefiles which include bsd.horde.mk nothing
seems to depend on the SUPHP option.  After applying the attached
patch, 'make index' runs fine on 10.0-amd64

René
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2.0.22 (FreeBSD)
Comment: Using GnuPG with Thunderbird - http://www.enigmail.net/

iQJ8BAEBCgBmBQJSwrZQXxSAAAAAAC4AKGlzc3Vlci1mcHJAbm90YXRpb25zLm9w
ZW5wZ3AuZmlmdGhob3JzZW1hbi5uZXQxMDFBNzE2QjE2MkIwMEU1NUJFREVBMDVB
REJCRjg2MTBBMzc4OUI3AAoJEK27+GEKN4m34ecQAMyaDkamaVWVAVHjpgC1cIQq
InJKxELzVsmUzXKyEBtFBZKqgTEMdmV7YnW6k8gzW5Gb34Z8CAm20+dMDDfE2Bjg
B/BHFg68IGs+LTCy12oQ3m0Qo7cq9sgR7XEWLrOsW43gdNNF0LfyuJlseJ/dK4vq
9f3/cunxwlJ1fBgkd8fdvnpWcHYy1cQ3QH1JrLvNAKCsY24bqmIGkkJy1O6uSPAd
pYDWx8EuizP4zzVSYQ6O82PXam44wG0tJsxrMvL5FXtYtzrGOOGA/Xrp6RKgOrjB
gq2OGSHd1/31ro4HyEvo0zpybv9yL4pb7E3Sn6F7LRsu1fxhzPiBldwpL3w2JND8
pbNEqBXoFGK7ewvcsWSLcM2mxM+RoTBAh3uJvumhM8R9SHmrfknSlwCqlp88yJWL
Rmxfmd1HyiwlVfIZEpmB2lcCYTO3hY5rpNrkvWRV/8gH5gtAvfJESEYK+Wm4yiHs
r/ksIpBA06pK0m18LvWyOGgS+YxFNSJcksnR1VJZr/SK3xld2dl69Q9OAkwWf0hA
jDCMMsHLVJIS0PSSfHBx7Pv4jYBjyZFtvTwW9BXnF/iAYp2HK2yiXgVnlfekOHZi
KOsusA2LTlp+5KQsqQaaKvlWMCSi3AngAEovrhKvIWk/69nq8vvaVp+fMCLK5CGK
xhfTasmNp6vQg9WdehIZ
=U/KE
-----END PGP SIGNATURE-----
Comment 3 dfilter freebsd_committer 2014-01-17 01:10:49 UTC
Author: rene
Date: Fri Jan 17 01:10:41 2014
New Revision: 340003
URL: http://svnweb.freebsd.org/changeset/ports/340003
QAT: https://qat.redports.org/buildarchive/r340003/

Log:
  Remove support for the expired www/suphp port.
  
  PR:		ports/184924
  Submitted by:	rene
  Approved by:	maintainer timeout (horde@ , 1 month)

Modified:
  head/www/horde3-base/Makefile
  head/www/horde3-base/bsd.horde.mk
  head/www/horde3-base/files/pkg-install.in

Modified: head/www/horde3-base/Makefile
==============================================================================
--- head/www/horde3-base/Makefile	Fri Jan 17 00:33:46 2014	(r340002)
+++ head/www/horde3-base/Makefile	Fri Jan 17 01:10:41 2014	(r340003)
@@ -12,8 +12,8 @@ DISTNAME=	horde-${PORTVERSION}
 MAINTAINER=	horde@FreeBSD.org
 COMMENT=	Common code-base used by Horde applications
 
-#----------------------------------------------------------------------------
 NO_STAGE=	yes
+#----------------------------------------------------------------------------
 # You may define these options:
 #
 # - WITHOUT_SUPPORTED_DB: if you run a database not in the ports tree.
@@ -62,8 +62,6 @@ NO_STAGE=	yes
 #
 # - WITH_DEB:		handle Debian packages.
 #
-# - WITH_SUPHP:		Install appropriately for use with the www/suphp port.
-#
 #----------------------------------------------------------------------------
 
 RUN_DEPENDS+=	${PEARDIR}/Date.php:${PORTSDIR}/devel/pear-Date			\
@@ -79,14 +77,7 @@ RUN_DEPENDS+=	${PEARDIR}/Date.php:${PORT
 USES=		gettext
 USE_PHP=	ctype gettext session
 
-.if defined(WITH_SUPHP) && !defined(WITHOUT_SUPHP)
-RUN_DEPENDS+=	${LOCALBASE}/sbin/suphp:${PORTSDIR}/www/suphp
-WANT_PHP_CGI=	yes
-HORDEADMUSR?=	horde
-SUB_LIST=	WITH_SUPHP=yes
-.else
 WANT_PHP_WEB=	yes
-.endif
 
 .if !defined(WITHOUT_FILEINFO)
 USE_PHP+=	fileinfo
@@ -254,9 +245,6 @@ pre-install:
 	 fi ; \
 	fi
 .endif
-.if defined(WITH_SUPHP)
-	${SETENV} ${SCRIPTS_ENV} ${SH} ${PKGINSTALL} ${PKGNAME} PRE-INSTALL
-.endif
 
 .include "${.CURDIR}/../../www/horde3-base/bsd.horde.mk"
 .include <bsd.port.post.mk>

Modified: head/www/horde3-base/bsd.horde.mk
==============================================================================
--- head/www/horde3-base/bsd.horde.mk	Fri Jan 17 00:33:46 2014	(r340002)
+++ head/www/horde3-base/bsd.horde.mk	Fri Jan 17 01:10:41 2014	(r340003)
@@ -35,14 +35,7 @@ PKGMESSAGE?=	${WRKDIR}/pkg-message
 SUB_FILES?=		pkg-message
 .endif
 
-.if defined(WITH_SUPHP) && !defined(WITHOUT_SUPHP)
-RUN_DEPENDS+=	${LOCALBASE}/sbin/suphp:${PORTSDIR}/www/suphp
-WANT_PHP_CGI=	yes
-HORDEADMUSR?=	horde
-SUB_LIST+=		WITH_SUPHP=yes
-.else
 WANT_PHP_WEB=	yes
-.endif
 
 HOSTNAME?=	`/bin/hostname`
 SERVOS?=	${OPSYS}-${OSREL}

Modified: head/www/horde3-base/files/pkg-install.in
==============================================================================
--- head/www/horde3-base/files/pkg-install.in	Fri Jan 17 00:33:46 2014	(r340002)
+++ head/www/horde3-base/files/pkg-install.in	Fri Jan 17 01:10:41 2014	(r340003)
@@ -3,12 +3,9 @@
 # $FreeBSD$
 #
 # Copied from databases/phpmyadmin.
-# Used if WITH_SUPHP has been defined.
 
 PATH=/usr/sbin:/usr/bin:/bin ; export PATH
 
-WITH_SUPHP=%%WITH_SUPHP%%
-
 hordedir=%%HORDIR%%
 hordeusr=%%HORDEADMUSR%%
 hordegrp=%%HORDEGRP%%
@@ -74,33 +71,7 @@ create_user() {
 
 
 case $2 in
-    PRE-INSTALL)
-
-        if [ $WITH_SUPHP != "yes" ]; then
-            exit 0
-        fi
-
-        # Create the horde user and group if they do not already exist
-
-        if pw user show -n $hordeusr >/dev/null 2>&1 ; then
-	    echo "===> Using pre-existing user $hordeusr"
-	else
-	    if ! pw group show -n $hordegrp >/dev/null 2>&1 ; then
-		create_group $hordeusr $hordegrp "$hordegcos" $hordehome \
-		    $hordeshell
-	    fi
-	    create_user $hordeusr $hordegrp "$hordegcos" $hordehome $hordeshell
-	fi
-	;;
     POST-INSTALL)
-
-        if [ $WITH_SUPHP = "yes" ]; then
-    	    # Change ownership of the Horde directory
-
-            echo "===> Adjusting file ownership in $hordedir"
-            chown -R $hordeusr:$hordegrp $hordedir || exit 1
-        fi
-
         if [ -z "${PACKAGE_BUILDING}" ]; then
             # Copy over sample config files unless they already exist
 
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 Rene Ladan freebsd_committer 2014-01-17 01:12:27 UTC
State Changed
From-To: open->closed

Second patch committed, timeout